Bug 165582 - LayoutTest inspector/worker/debugger-scripts.html is a flaky failure
Summary: LayoutTest inspector/worker/debugger-scripts.html is a flaky failure
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yury Semikhatsky
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-12-07 19:41 PST by Ryan Haddad
Modified: 2019-08-07 14:52 PDT (History)
5 users (show)

See Also:


Attachments
Patch (2.61 KB, patch)
2019-08-06 16:53 PDT, Yury Semikhatsky
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2016-12-07 19:41:46 PST
LayoutTest inspector/worker/debugger-scripts.html is a flaky failure

https://build.webkit.org/builders/Apple%20El%20Capitan%20Debug%20WK2%20(Tests)/builds/9820

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=inspector%2Fworker%2Fdebugger-scripts.html

--- /Volumes/Data/slave/elcapitan-debug-tests-wk2/build/layout-test-results/inspector/worker/debugger-scripts-expected.txt
+++ /Volumes/Data/slave/elcapitan-debug-tests-wk2/build/layout-test-results/inspector/worker/debugger-scripts-actual.txt
@@ -3,28 +3,8 @@
 
 == Running test suite: Worker.Debugger.Script
 -- Running test case: Worker.Debugger.Script.MainResource
-PASS: Worker target's main resource should be a Script.
-PASS: Worker target's main resource should be owned by a Worker target.
-PASS: Worker DebuggerData should include script.
-PASS: Worker DebuggerData should include script by identifier.
-PASS: Worker DebuggerData should include script by URL.
-PASS: Main DebuggerData should not include the script.
-PASS: Worker target's main resource should have content.
+FAIL: Worker target's main resource should be a Script.
+    Expected: truthy
+    Actual: false
+!! EXCEPTION: null is not an object (evaluating 'script.target')
 
--- Running test case: Worker.Debugger.Script.ImportedScript
-PASS: ScriptAdded - inspector/worker/resources/worker-import-1.js
-PASS: Script should be owned by a Worker target.
-PASS: Worker DebuggerData should include script.
-PASS: Worker DebuggerData should include script by identifier.
-PASS: Worker DebuggerData should include script by URL.
-PASS: Main DebuggerData should not include the script.
-PASS: Imported script content should have 'workerImport1'.
-
--- Running test case: Worker.Debugger.Script.NamedEval
-PASS: ScriptAdded - worker-eval.js
-PASS: Script should be owned by a Worker target.
-PASS: Worker DebuggerData should include script.
-PASS: Worker DebuggerData should include script by identifier.
-PASS: Main DebuggerData should not include the script.
-PASS: Eval script content should have 'workerEval'.
-
Comment 1 Ryan Haddad 2016-12-07 19:42:29 PST
I'm not sure that this is a regression. The test was added on 11/2 and the first flake was seen 11/3.
Comment 2 Ryan Haddad 2016-12-07 19:53:40 PST
Marked test as flaky on mac-wk2 in https://trac.webkit.org/changeset/209517
Comment 4 Ryan Haddad 2017-01-13 17:34:18 PST
Moved flaky expectation to platform/mac in http://trac.webkit.org/projects/webkit/changeset/210754
Comment 5 Yury Semikhatsky 2019-08-06 16:53:59 PDT
Created attachment 375667 [details]
Patch
Comment 6 Joseph Pecoraro 2019-08-07 14:48:07 PDT
Comment on attachment 375667 [details]
Patch

Awesome! r=me
Comment 7 WebKit Commit Bot 2019-08-07 14:51:22 PDT
Comment on attachment 375667 [details]
Patch

Clearing flags on attachment: 375667

Committed r248392: <https://trac.webkit.org/changeset/248392>
Comment 8 WebKit Commit Bot 2019-08-07 14:51:24 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2019-08-07 14:52:20 PDT
<rdar://problem/54051909>